-- Fill page with a hue saturation span setting the alpha channel as well

for y = 0, height - 1 do
  for x = 0, width - 1 do
    local h, s, l
    set_alpha(x, y, 1)
    set_hsl(x, y, x / width * 359, 1.0 - (y / height), 0.5)
  end
end
